Priority: Low

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 19157

Description

In the new QGIS 2.4 an empty attribute dialog is shown when adding a feature to a memory layer, which does not contain any fields. So

you have to click OK in this empty dialog to proceed, which was not the case in QGIS 2.2.

Not sure if its a bug or a feature though :-)

Associated revisions

Revision ee68332e - 2015-02-25 11:56 AM - Nyall Dawson

Suppress attribute form popup if layer has no fields

Prevents empty form popup for layers with no fields (eg memory layers).

If desired, this behaviour can be overriden by the layer's feature

form suppress option, eg if form has python logic which makes it useful

even with no fields.

(fix #10775)

Revision c6581e72 - 2015-02-25 08:28 PM - Nyall Dawson

Suppress attribute form popup if layer has no fields

Prevents empty form popup for layers with no fields (eg memory layers).

If desired, this behaviour can be overriden by the layer's feature

form suppress option, eg if form has python logic which makes it useful

even with no fields.

(fix #10775)

History

#1 - 2014-07-02 12:31 AM - Matthias Kuhn

- Status changed from Open to Closed

You can use the option "suppress attribute form..." option in layer properties/fields to get the same behavior.

We didn't want to forbid to show an empty dialog because there might be python logic in there (e.g. you could show coordinates on a r/o label).
#2 - 2014-07-02 02:03 AM - Giovanni Manghi

- Resolution set to wontfix

#3 - 2015-02-24 10:42 PM - Paolo Cavallini

- Status changed from Closed to Reopened

Better disable it by deafult, and let the user reenable it if add the Python logic.

#4 - 2015-02-24 10:42 PM - Paolo Cavallini

See also https://github.com/qgis/QGIS/pull/1925

#5 - 2015-02-25 03:01 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"ee68332ed76a0255f017d8070654154cfa20c1ec".
